Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class GraphicsNodeInputEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.gvt.event.GraphicsNodeEvent
              org.apache.batik.gvt.event.GraphicsNodeInputEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GraphicsNodeKeyEvent, GraphicsNodeMouseEvent, GraphicsNodeMouseWheelEvent

    public abstract class GraphicsNodeInputEvent

extends GraphicsNodeEvent

The root event class for all graphics node-level input events.

See Also:
  Serialized Form

Field Summary
`static int` | `ALT_GRAPH_MASK` The alt-graph key modifier constant.
`static int` | `ALT_MASK` The alt key modifier constant.
`static int` | `BUTTON1_MASK` The mouse button1 modifier constant.
`static int` | `BUTTON2_MASK` The mouse button2 modifier constant.
`static int` | `BUTTON3_MASK` The mouse button3 modifier constant.
`static int` | `CAPS_LOCK_MASK` The caps lock constant.
`static int` | `CTRL_MASK` The control key modifier constant.
`static int` | `KANA_LOCK_MASK` The kana lock constant.
`static int` | `META_MASK` The meta key modifier constant.
`static int` | `NUM_LOCK_MASK` The num lock constant.
`static int` | `SCROLL_LOCK_MASK` The scroll lock constant.
`static int` | `SHIFT_MASK` The shift key modifier constant.

Fields inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`protected` | `GraphicsNodeInputEvent(GraphicsNode source, InputEvent evt, int lockState)` Constructs a new graphics node input event from an AWT InputEvent.
`protected` | `GraphicsNodeInputEvent(GraphicsNode source, int id, long when, int modifiers, int lockState)` Constructs a new graphics node input event.

Method Summary
`int` | `getLockState()` Returns the lock state flags for this event.
`int` | `getModifiers()` Returns the modifiers flag for this event.
`long` | `getWhen()` Returns the timestamp of when this event occurred.
`boolean` | `isAltDown()` Returns whether or not the Alt modifier is down on this event.
`boolean` | `isAltGraphDown()` Returns whether or not the Alt-Graph modifier is down on this event.
`boolean` | `isControlDown()` Returns whether or not the Control modifier is down on this event.
`boolean` | `isMetaDown()` Returns whether or not the Meta modifier is down on this event.
`boolean` | `isShiftDown()` Returns whether or not the Shift modifier is down on this event.

Methods inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`consume, getGraphicsNode, getID, isConsumed`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHIFT_MASK

    public static final int SHIFT_MASK

  The shift key modifier constant.

  See Also:
    Constant Field Values

### CTRL_MASK

    public static final int CTRL_MASK

  The control key modifier constant.

  See Also:
    Constant Field Values

### META_MASK

    public static final int META_MASK

  The meta key modifier constant.

  See Also:
    Constant Field Values

### ALT_MASK

    public static final int ALT_MASK

  The alt key modifier constant.

  See Also:
    Constant Field Values

### ALT_GRAPH_MASK

    public static final int ALT_GRAPH_MASK

  The alt-graph key modifier constant.

  See Also:
    Constant Field Values

### BUTTON1_MASK

    public static final int BUTTON1_MASK

  The mouse button1 modifier constant.

  See Also:
    Constant Field Values

### BUTTON2_MASK

    public static final int BUTTON2_MASK

  The mouse button2 modifier constant.

  See Also:
    Constant Field Values

### BUTTON3_MASK

    public static final int BUTTON3_MASK

  The mouse button3 modifier constant.

  See Also:
    Constant Field Values

### CAPS_LOCK_MASK

    public static final int CAPS_LOCK_MASK

  The caps lock constant.

  See Also:
    Constant Field Values

### NUM_LOCK_MASK

    public static final int NUM_LOCK_MASK

  The num lock constant.

  See Also:
    Constant Field Values

### SCROLL_LOCK_MASK

    public static final int SCROLL_LOCK_MASK

  The scroll lock constant.

  See Also:
    Constant Field Values

### KANA_LOCK_MASK

    public static final int KANA_LOCK_MASK

  The kana lock constant.

  See Also:
    Constant Field Values

Constructor Detail

### GraphicsNodeInputEvent

    protected GraphicsNodeInputEvent(GraphicsNode source,
                                     int id,
                                     long when,
                                     int modifiers,
                                     int lockState)

  Constructs a new graphics node input event.

  Parameters:
    `source` - the graphics node where the event originated
    `id` - the id of this event
    `when` - the time the event occurred
    `modifiers` - the modifier keys down while event occurred

### GraphicsNodeInputEvent

    protected GraphicsNodeInputEvent(GraphicsNode source,
                                     InputEvent evt,
                                     int lockState)

  Constructs a new graphics node input event from an AWT InputEvent.

  Parameters:
    `source` - the graphics node where the event originated
    `evt` - the AWT InputEvent triggering this event's creation

Method Detail

### isShiftDown

    public boolean isShiftDown()

  Returns whether or not the Shift modifier is down on this event.

### isControlDown

    public boolean isControlDown()

  Returns whether or not the Control modifier is down on this event.

### isMetaDown

    public boolean isMetaDown()

  Returns whether or not the Meta modifier is down on this event.

### isAltDown

    public boolean isAltDown()

  Returns whether or not the Alt modifier is down on this event.

### isAltGraphDown

    public boolean isAltGraphDown()

  Returns whether or not the Alt-Graph modifier is down on this event.

### getWhen

    public long getWhen()

  Returns the timestamp of when this event occurred.

### getModifiers

    public int getModifiers()

  Returns the modifiers flag for this event.

### getLockState

    public int getLockState()

  Returns the lock state flags for this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.